.wlc-icon svg,
      .wlc-icon img {
        width: var(--wlc-icon-width);
        height: var(--wlc-icon-height);
        overflow: visible;
      }
      .wlc-icon-spin {
        animation: loadingCircle 1s linear infinite;
      }
      .wlc-icon-fill-mc-main {
        fill: var(--mc-main, #ff7a00);
      }
      .wlc-icon-fill-mc-secondary {
        fill: var(--mc-secondary, #735cfc);
      }
      .wlc-icon-fill-mc-baseMain {
        fill: var(--mc-baseMain, #fff);
      }
      .wlc-icon-fill-mc-baseContrast {
        fill: var(--mc-baseContrast, #000);
      }
      .wlc-icon-fill-mc-buttonColor {
        fill: var(--mc-buttonColor, #dafe31);
      }
      .wlc-icon-fill-mc-baseOpacity {
        fill: var(--mc-baseOpacity, rgba(212, 225, 245, 0.2));
      }
      .wlc-icon-fill-mc-bg100 {
        fill: var(--mc-bg100, #607896);
      }
      .wlc-icon-fill-mc-bg300 {
        fill: var(--mc-bg300, #3b444e);
      }
      .wlc-icon-fill-mc-bg500 {
        fill: var(--mc-bg500, #323b45);
      }
      .wlc-icon-fill-mc-bg700 {
        fill: var(--mc-bg700, #13212d);
      }
      .wlc-icon-fill-mc-bg {
        fill: var(--mc-bg, #1b2b38);
      }
      .wlc-icon-fill-mc-bgModal {
        fill: var(--mc-bgModal, #151a22);
      }
      .wlc-icon-fill-mc-elementsColor {
        fill: var(--mc-elementsColor, #c4c4c4);
      }
      .wlc-icon-fill-mc-error {
        fill: var(--mc-error, #dd4747);
      }
      .wlc-icon-fill-mc-success {
        fill: var(--mc-success, #36b36f);
      }
      .wlc-icon-fill-mc-warning {
        fill: var(--mc-warning, #e68933);
      }
      .wlc-icon-fill-mc-disabled {
        fill: var(--mc-disabled, #cccccc);
      }
      .wlc-icon-fill-mc-black {
        fill: var(--mc-black, #000);
      }
      .wlc-icon-fill-mc-baseSecond {
        fill: var(--mc-baseSecond,);
      }
      .wlc-icon-fill-mc-baseThird {
        fill: var(--mc-baseThird,);
      }
      .wlc-icon-fill-mc-buttonText {
        fill: var(--mc-buttonText,);
      }
      .wlc-icon-fill-mc-mainHover {
        fill: var(--mc-mainHover, #ffaa5b);
      }
      .wlc-icon-fill-mc-buttonColorHover {
        fill: var(--mc-buttonColorHover, #ebff8b);
      }
      @keyframes loadingCircle {
        to {
          transform: rotate(360deg);
        }
      }
